Package de.willuhn.jameica.hbci.io.ser

# Class BooleanSerializer

java.lang.Object
de.willuhn.jameica.hbci.io.ser.DefaultSerializer<Boolean>
de.willuhn.jameica.hbci.io.ser.BooleanSerializer

All Implemented Interfaces:
  `Serializer<Boolean>`

public class BooleanSerializer extends DefaultSerializer<Boolean>
Implementierung eines Serializers fuer Boolean-Werte.

## Constructor Summary

Constructors
Constructor
Description
`BooleanSerializer()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`unserialize(Object context, String value)`
Deserialisiert den uebergebenen Text.

### Methods inherited from class de.willuhn.jameica.hbci.io.ser.DefaultSerializer

`serialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BooleanSerializer

public BooleanSerializer()

## Method Details

### unserialize

public Boolean unserialize(Object context, String value) throws IOException
Description copied from interface: `Serializer`
Deserialisiert den uebergebenen Text.

Specified by:
  `unserialize` in interface `Serializer<Boolean>`
Overrides:
  `unserialize` in class `DefaultSerializer<Boolean>`
Parameters:
  `context` - das Context-Objekt. In der Regel handelt es sich hier um die Bean, zu der das Attribut gehoert.
  `value` - der zu deserialisierende Text.
Returns:
  das deserialisierte Objekt.
Throws:
  `IOException`